Перейти к содержанию

Рекомендуемые сообщения

Купил модуль Всплывающая корзина, установил, все работает кроме кнопок удаления и изменения количества товара в самом окне.

В консоли есть вот такие ошибки:

Uncaught TypeError: element.dispatchEvent is not a function
    at fireEvent_DOM (https://ajax.googleapis.com/ajax/libs/prototype/1.7.3.0/prototype.js:7141:13)
    at fire (https://ajax.googleapis.com/ajax/libs/prototype/1.7.3.0/prototype.js:7130:17)
    at HTMLDocument._methodized [as fire] (https://ajax.googleapis.com/ajax/libs/prototype/1.7.3.0/prototype.js:456:23)
    at HTMLDocument.fireContentLoadedEvent (https://ajax.googleapis.com/ajax/libs/prototype/1.7.3.0/prototype.js:7317:14)

А при нажатиии на кнопу удалить вот такая ошибка:

Uncaught DOMException: Failed to execute 'appendChild' on 'Node': The new child element contains the parent.(…)bottom @ prototype.js:2310insertContentAt @ prototype.js:2386insert @ prototype.js:2411_methodized @ prototype.js:456update @ prototype.js:2245_methodized @ prototype.js:456onclick @ palto-steganoe-booriva:1

Похоже на конфликт с библиотекой prototype.js, но как его исправить? Пробовал изменить в скрипте модуля $ на jQuery, но не помогает.

Версия Opencart 2.10.1, тема - Optimus

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

к автору модуля, раз купили

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

к автору модуля, раз купили

Автор говорит что нет времени на доработки.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

доработки - это когда вы просите что-то сверх того, что есть изначально

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

доработки - это когда вы просите что-то сверх того, что есть изначально

Да, но на стандартном шаблоне он работает, так как там не используется prototype.js

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

задайте вопрос автору шаблона

вообще, использование prototype.js в большинстве случаев приводит к различным проблемам совместимости с другими дополнениями

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

задайте вопрос автору шаблона

вообще, использование prototype.js в большинстве случаев приводит к различным проблемам совместимости с другими дополнениями

Но до этого никаких конфликтов не было, все остальное работает без ошибок.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.